import request from "@/utils/request";

// 查询设备列表
export function listDevice(query) {
  return request({
    url: "/iot/device/list",
    method: "get",
    params: query
  });
}
// 查询设备详细
export function getDevice(deviceId) {
  return request({
    url: "/iot/device/" + deviceId,
    method: "get"
  });
}

// 导出设备
export function exportDevice(query) {
  return request({
    url: "/iot/device/export",
    method: "get",
    params: query
  });
}

// 获取设备类型列表
export function listDeviceTypeList(query) {
  return request({
    url: "/iot/device/type-list",
    method: "get",
    params: query
  });
}

